javax.servlet

## Class HttpMethodConstraintElement

- java.lang.Object
- - javax.servlet.HttpConstraintElement
  - - javax.servlet.HttpMethodConstraintElement

-     public class HttpMethodConstraintElement
      extends HttpConstraintElement

  Since:
    Servlet 3.0 TODO SERVLET3 - Add comments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpMethodConstraintElement(java.lang.String methodName)`
    `HttpMethodConstraintElement(java.lang.String methodName, HttpConstraintElement constraint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMethodName()`

    - ### Methods inherited from class javax.servlet.HttpConstraintElement

      `getEmptyRoleSemantic, getRolesAllowed, getTransportGuarantee`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpMethodConstraintElement

          public HttpMethodConstraintElement(java.lang.String methodName)

    - #### HttpMethodConstraintElement

          public HttpMethodConstraintElement(java.lang.String methodName,
                                     HttpConstraintElement constraint)

  - ### Method Detail

    - #### getMethodName

          public java.lang.String getMethodName()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.